#!/system/_install/bin/busybox sh

busybox mount -o remount,rw /system

echo Backup applications...
cd /system/app && busybox tar cvf - * | gzip -c > /external_sd/backup_oldapps.tgz


echo Cleaning default applications...
cd /data/local/tmp
busybox rm /system/app/Browser.apk
busybox rm /system/app/ES_TaskManager.apk
busybox rm /system/app/es_file_explorer_v1_6_1_0_out.apk
busybox rm /system/app/GetJar_out.apk
busybox rm /system/app/YouTube.apk
busybox rm /system/app/com.ut.emusic.apk
busybox rm /system/app/aldiko-oem-2.00.151.apk

echo Installing MobileMarket...

busybox cp 1MobileMarket_31.apk /system/app/1MobileMarket_31.apk
chown 0:0 /system/app/1MobileMarket_31.apk
chmod 0644 /system/app/1MobileMarket_31.apk

